<template>
  <v-app>
      <div id="app">
        <div id="nav" >
          <router-link to="/logout" v-if="loggedIn">Logout</router-link>
          <router-link to="/register" v-if="!loggedIn">Register</router-link>
        </div>
        
      </div>
  
    <main>
      <v-container fuild>
        <router-view></router-view>
      </v-container>
    </main>

  </v-app>
  
</template>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>

<script>
  export default {
    data (){
      return {
        loggedIn: false
      }
    },
    created() {
      Event.$on('login', ()=>{
        this.loggedIn = true;
      });

      Event.$on('logout', ()=>{
        this.loggedIn = false;
      });

      let token = localStorage.getItem('token');
      if(token){
        this.loggedIn=true
      }
    }
  }

</script>
